pro interpolate_t, xNodes, yNodes, tAtNodes, extrapIDs, x, y, t, extrapCount
    nodeCount = n_elements(xNodes)
    x0 = xNodes(0)
    minDif = 100000	; starting value
    for i = 1, nodeCount - 1 do begin
	dif = abs(xNodes(i) - x0)
	if (dif LT minDif AND dif NE 0) then minDif = dif
    endfor
    PIXEL_SIZE = minDif

    for i = 0, nodeCount - 1 do begin
	if (x GE xNodes(i) AND x LT (xNodes(i) + PIXEL_SIZE) AND	$
	    y GE yNodes(i) AND y LT (yNodes(i) + PIXEL_SIZE)) then goto, FOUND
    endfor

    NOT_FOUND: stop


    FOUND:

;		---	o				o
;		 |	 10			      11
;		 |
;		 |	|-----	dx  ------>	+ (x, y)
;
;	    PIXEL_SIZE				^
;						|
;		 |				dy
;		 |				|
;		 |	 00			|     01
;		---	o			-	o
;		    (xNodes(i), yNodes(i))
;
;			|---------  PIXEL_SIZE ---------|

    i00 = i
    x00 = xNodes(i)
    y00 = yNodes(i)
    i01 = -1
    x01	= x00 + PIXEL_SIZE
    y01 = y00
    i10 = -1
    x10 = x00
    y10 = y00 + PIXEL_SIZE
    i11 = -1
    x11 = x00 + PIXEL_SIZE
    y11 = y00 + PIXEL_SIZE
    for i = 0, nodeCount - 1 do begin
	if (xNodes(i) EQ x01 AND yNodes(i) EQ y01) then i01 = i
	if (xNodes(i) EQ x10 AND yNodes(i) EQ y10) then i10 = i
	if (xNodes(i) EQ x11 AND yNodes(i) EQ y11) then i11 = i
    endfor
    if (i01 LT 0 OR i10 LT 0 OR i11 LT 0) then stop
    ;print, i00,i01,i10,i11

    dx = float(x - xNodes(i00)) / PIXEL_SIZE
    dy = float(y - yNodes(i00)) / PIXEL_SIZE

    t = (1 - dx) * (1 - dy) * tAtNodes(i00)		$
		+ dx * (1 - dy) * tAtNodes(i01)	$
		+ (1 - dx) * dy * tAtNodes(i10)	$
		+ dx * dy * tAtNodes(i11)

    extrapCount = 0
    if (extrapIDs(i00) EQ 'E') then extrapCount = extrapCount + 1
    if (extrapIDs(i01) EQ 'E') then extrapCount = extrapCount + 1
    if (extrapIDs(i10) EQ 'E') then extrapCount = extrapCount + 1
    if (extrapIDs(i11) EQ 'E') then extrapCount = extrapCount + 1
end
