pro read_cris_thickness_map, detIDNum, xNodes, yNodes, tAtNodes, 	$
					extrapIdentifiers, detName
    detName = strcompress(string(detIDNum), /REMOVE_ALL)
    while (strlen(detName) LT 4) do detName = '0' + detName
    detName = 'cris' + detName

    get_directory_delimiter, dd		; unix = /, pc = \, mac = :
    thicknessMapFile = 'thicknessMapDBs' + dd + detName + '.map'
    find_file, thicknessMapFile, path
    thicknessMapFile = path

    get_lun, unit1
    openr, unit1, thicknessMapFile
    i = 0
    while (NOT EOF(unit1)) do begin
	readf, unit1, dummyString
	i = i + 1
    endwhile
    lineCount = i
    close, unit1
    free_lun, unit1

    xNodes = fltarr(lineCount)
    yNodes = fltarr(lineCount)
    tAtNodes = fltarr(lineCount)
    extrapIdentifiers = strarr(lineCount)

    xi = 0.0
    yi = 0.0
    ti = 0.0
    exti = ''
    openr, unit1, thicknessMapFile
    for i = 0, (lineCount - 1) do begin
	readf, unit1, FORMAT = '(F13.4, F13.4, F16.4, X, A1)', xi, yi, ti, exti
	xNodes(i) = xi
	yNodes(i) = yi
	tAtNodes(i) = ti
	extrapIdentifiers(i) = exti
    endfor
    close, unit1
    free_lun, unit1
end
